MP4v2

Typedefs | Functions
mp4v2::platform::time Namespace Reference

(private) Time. More...

## Typedefs
typedef int64_t | milliseconds_t
| type used to represent milliseconds
typedef int64_t | seconds_t
| type used to represent seconds

## Functions
milliseconds_t | getLocalTimeMilliseconds ()
| Get local-time in milliseconds. More...
seconds_t | getLocalTimeSeconds ()
| Get local-time in seconds. More...

## Detailed Description

(private) Time.

WARNING: THIS IS A PRIVATE NAMESPACE. NOT FOR PUBLIC CONSUMPTION.

## Function Documentation

## ◆ getLocalTimeMilliseconds()

milliseconds_t mp4v2::platform::time::getLocalTimeMilliseconds | ( |  | ) |

Get local-time in milliseconds.

getLocalTimeMilliseconds obtains the system's notion of current Greenwich time, adjusted according to the current timezone of the host system. The time is expressed as an absolute value since midnight (0 hour), January 1, 1970. This is commonly referred to as the "epoch".

Returns
  local-time in milliseconds elapsed since the epoch.

## ◆ getLocalTimeSeconds()

seconds_t mp4v2::platform::time::getLocalTimeSeconds | ( |  | ) |

Get local-time in seconds.

getLocalTimeMilliseconds obtains the system's notion of current Greenwich time, adjusted according to the current timezone of the host system. The time is expressed as an absolute value since midnight (0 hour), January 1, 1970. This is commonly referred to as the "epoch".

Returns
  local-time in seconds elapsed since the epoch.